Cygport Reference Manual

### TABLE OF CONTENTS

- qt4-cmake.cygclass

- qt4_cmake_compile
- src_compile (qt4-cmake)

## qt4-cmake.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit qt4-cmake

DESCRIPTION

This cygclass builds Qt4-based packages which use the CMake build system.

INHERITS

cmake.cygclass, qt4.cygclass

## qt4_cmake_compile

[ Top ] [ qt4-cmake.cygclass ] [ Compile Functions ]

SYNOPSIS

      cd $B
      qt4_cmake_compile [OPTIONS]

DESCRIPTION

Calls cygcmake with options to tell CMake where the Qt4 development tools are found, followed by cmake to compile the package. Options, in the form of -DVARIABLE=VALUE, are passed on to cygcmake.

## src_compile (qt4-cmake)

[ Top ] [ qt4-cmake.cygclass ] [ Overloads ]

DEFINITION

    src_compile() {
            cd ${B}
            : ${CYGCMAKE_GENERATOR=Ninja}
            qt4_cmake_compile
    }